Topic
9 replies Latest Post - ‏2011-04-14T14:11:39Z by dag064
dag064
dag064
5 Posts
ACCEPTED ANSWER

Pinned topic Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

‏2011-04-12T20:29:21Z |
Hello,
I am trying to install the rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1. I receive the following error:

Failed dependencies: rsct.core = 2.5.1.4 is needed by (installed) rsct.basic-2.5.1.4-08249.ppc .

Is there a workaround for this?
Thanks.
Dave
Updated on 2011-04-14T14:11:39Z at 2011-04-14T14:11:39Z by dag064
  • nfont
    nfont
    11 Posts
    ACCEPTED ANSWER

    Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

    ‏2011-04-13T15:14:42Z  in response to dag064
    If you want to install the 3.1.0.1 version of the rsct package you will need to update all of the rsct packages. I do not believe the 3.1.0.1 version of the packages will interoperate properly with the 2.5.1.4 versions. You may also need to update the version of the src package too.

    You can grab all of the latest packages for SLES 11 here.

    http://www14.software.ibm.com/webapp/set2/sas/f/lopdiags/suselinux/hmcmanaged/sles11.html

    -Nathan
  • dag064
    dag064
    5 Posts
    ACCEPTED ANSWER

    Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

    ‏2011-04-13T15:58:25Z  in response to dag064
    Hi Nathan,
    Thanks for the update. I installed the 3.1.0.1 versions of the src and rsct.core.utils packages. Is there a 3.1.0.1 version of the rsct.basic package? If so, where do I find it? Thanks.
    Dave
    • nfont
      nfont
      11 Posts
      ACCEPTED ANSWER

      Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

      ‏2011-04-13T18:42:31Z  in response to dag064
      Unfortunately no, I am only familiar with the rsct packages listed on the site I gave to you. I know what is on that site is a subset of rsct packages but I do not know where one can get the entire suite. Perhaps someone else that monitors this can chime in.

      -Nathan
  • PlanB
    PlanB
    12 Posts
    ACCEPTED ANSWER

    Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

    ‏2011-04-13T20:33:34Z  in response to dag064
    Hi Dave,
    Can you check if your system has any other RSCT package as well in addition to rsct.core.utils, rsct.core, and rsct.basic?
  • dag064
    dag064
    5 Posts
    ACCEPTED ANSWER

    Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

    ‏2011-04-13T21:08:09Z  in response to dag064
    The other RSCT packages installed on my system are:
    rsct.64bit-2.5.1.4-08249
    rsct.opt.storagerm-2.5.1.4-08249

    Dave
    • PlanB
      PlanB
      12 Posts
      ACCEPTED ANSWER

      Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

      ‏2011-04-13T21:44:28Z  in response to dag064
      Dave, hi....thx for info.

      Do you know what application may have installed and is using the RSCT packages installed on your system?

      What was the reason to install the rsct.core-3.1.0.1-10233.ppc.rpm package? Were you given directions to upgrade?

      As I understand it, some applications (TSAMP, DB2 pureScale, HA Director, etc.) ship and install all the RSCT packages they require and any RSCT package updates should be provided by the application using those packages vs. downloading individual packages from a site like the LoP Service and Productivity site

      The LoP Service and Productivity site has never offered the rsct.basic or rsct.opt.storagerm rpms so I suspect another application has installed those packages and updating that RSCT stack yourself may break something.
      • dag064
        dag064
        5 Posts
        ACCEPTED ANSWER

        Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

        ‏2011-04-14T13:18:02Z  in response to PlanB
        The TSAMP and DB2 Connect applications are installed on my system. Your explanation helps me understand how these packages are distributed.
        The reason for installing the rsct.core-3.1.0.1-10233.ppc.rpm package was to upgrade to the latest packages available. My system was moved to a P770. Somewhere in the documentation was a recommendation to upgrade the Service and Productivity Tools. I just can't find the link.
        Thanks.
        Dave
        • PlanB
          PlanB
          12 Posts
          ACCEPTED ANSWER

          Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

          ‏2011-04-14T14:06:39Z  in response to dag064
          Dave, hi....I am familiar with the statement you reference in the server documentation and it is directed at customers who have downloaded individual LoP RAS packages from http://www14.software.ibm.com/webapp/set2/sas/f/lopdiags/home.html.

          In your situation where you ware running a complete RSCT stack provided by an application(s) and not downloaded as standalone packages I would not recommend updating those packages without express direction from the support team for the application that installed them.

          Will try to clarify those directions in future releases....
          • dag064
            dag064
            5 Posts
            ACCEPTED ANSWER

            Re: Failed dependency installing rsct.core-3.1.0.1-10233.ppc.rpm on SLES 11 SP1

            ‏2011-04-14T14:11:39Z  in response to PlanB
            Thanks for the update. I appreciate the help.
            Dave